local fn = _gn(0x6874E2190B0C1972)
--- Finds a position ahead of the player by predicting the players next actions.
-- The positions match path finding node positions.
-- When roads diverge, the position may rapidly change between two or more positions. This is due to the engine not being certain of which path the player will take.
function Global.FindSpawnPointInDirection(posX, posY, posZ, dirX, dirY, dirZ, distance, spawnPoint)
	return fn(posX, posY, posZ, dirX, dirY, dirZ, distance, _v, _r)
end
